# Summary

- [什么是 RustSBI？](./chapter_01_what_is_rustsbi.md)
- [RustSBI 核心库](./chapter_02_libraries.md)
    - [`rustsbi` 核心抽象库](./02_libraries/01_rustsbi.md)
    - [`sbi-rt` 特权态运行环境](./02_libraries/02_sbi_rt.md)
    - [`sbi-spec` 常量与常数库](./02_libraries/03_sbi_spec.md)
    - [`sbi-testing` 测试环境库](./02_libraries/04_sbi_testing.md)
- [RustSBI Prototyper](./chapter_03_prototyper.md)
    - [简介、应用场景与生态软件适配](./03_prototyper/01_introduction.md)
    - [编译与配置](./03_prototyper/02_configuration.md)
    - [调试 RustSBI Prototyper](./03_prototyper/03_debugging.md)
    - [给 OpenSBI 用户的 RustSBI Prototyper 教程](./03_prototyper/04_for_opensbi_user.md)
- [RustSBI 维护的裸机支持包](./chapter_04_hal.md)
    - [`allwinner-hal` 全志芯片支持包](./04_hal/allwinner.md)
    - [`bouffalo-hal` 博流芯片支持包](./04_hal/bouffalo.md)
    - [`hpmicro-hal` 先楫芯片支持包](./04_hal/hpmicro.md)
    - [`kendryte-hal` 勘智芯片支持包](./04_hal/kendryte.md)
    - [`sophgo-hal` 算能芯片支持包](./04_hal/sophgo.md)
    - [其它 RustSBI 贡献的支持包](./04_hal/others.md)
- [平台用户指南](./chapter_05_platform.md)
    - [QEMU virt 模拟器平台](./05_platform/qemu_virt.md)
    - [香山 NEMU 模拟器平台](./05_platform/xiangshan_nemu.md)
    - [Sipeed M1s Dock 开发板](./05_platform/sipeed_m1s_dock.md)
    - [Allwinner Nezha D1-H 平台](./05_platform/allwinner_nezha.md)
    - [Milk-V Duo 开发板](./05_platform/milkv_duo.md)
- [系统内核与发行版用户指南](./chapter_06_os.md)
    - [Linux 内核（不基于发行版）](./06_os/linux_kernel.md)
    - [Arch Linux 操作系统](./06_os/arch_linux.md)
    - [Fedora 操作系统](./06_os/fedora.md)
    - [FreeBSD 操作系统](./06_os/freebsd.md)
    - [openEuler 操作系统](./06_os/openeuler.md)
    - [OpenWrt 操作系统](./06_os/openwrt.md)
    - [PolyOS 操作系统](./06_os/polyos.md)
    - [Ubuntu 操作系统](./06_os/ubuntu.md)
    - [ArceOS 操作系统](./06_os/arceos.md)
    - [DragonOS 操作系统](./06_os/dragonos.md)
    - [Asterinas 操作系统](./06_os/asterinas.md)
    - [rCore 操作系统](./06_os/rcore.md)
    - [RustSBI 测试用内核](./06_os/rustsbi_test_kernel.md)
- [RustSBI 开发实战](./chapter_07_development.md)
    - [开发基于 SBI 的系统内核](./07_development/sbi-kernel.md)
    - [RISC-V H 扩展虚拟化宿主系统](./07_development/vmm.md)
    - [提供 SBI 服务的指令集模拟器](./07_development/emulator.md)
    - [为 Prototyper 适配新的裸机平台](./07_development/new-platform-prototyper.md)
- [孵化中的 RustSBI 项目](./chapter_08_incubating.md)
    - [RustSBI Agent 大模型问答智能体](./08_incubating/rustsbi_agent.md)
    - [ArceBoot 特权态引导程序](./08_incubating/arceboot.md)
- [引导生态简介](./chapter_09_ecosystem.md)
    - [Oreboot LinuxBoot 引导解决方案](./09_ecosystem/oreboot.md)
    - [Buildroot RustSBI 解决方案](./09_ecosystem/buildroot.md)
    - [零阶段引导程序](./09_ecosystem/zsbl.md)
- [开放源代码指南](./chapter_10_oss_guide.md)
    - [代码获取与构建](./10_oss_guide/01_usage.md)
    - [贡献流程规范](./10_oss_guide/02_contribution.md)
    - [开发规范](./10_oss_guide/03_development.md)
    - [社区资源](./10_oss_guide/04_community.md)
- [参考文献](./references.md)
- [附录](./appendix.md)
    - [常见故障与错误码速查表](./appendix/error_code.md)
    - [010 Editor Scripts 固件格式分析工具](./appendix/010_editor_scripts.md)
